cl.cromer.estructuras

## Class Grafo.Tipos

- java.lang.Object
- - cl.cromer.estructuras.Grafo.Tipos

Enclosing class:
  Grafo

    public static final class Grafo.Tipos
    extends java.lang.Object

Esta clase contiene los arbolTipo de grafoNoDirigido.

Author:
  Chris Cromer

### Field Summary

Fields
`static int` `DIRIGIDO` Tipo de grafo dirigido.
`static int` `NO_DIRIGIDO` Tipo de grafo no dirigido.
`static int` `PESO` Tipo de grafo dirigido con peso.
`private int` `tipo` El tipo que está elegido.

### Constructor Summary

Constructors
Constructor and Description
`Tipos(int tipo)` Inicilizar el tipo.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getTipo()` Devolver el tipo.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DIRIGIDO

    public static final int DIRIGIDO

Tipo de grafo dirigido.

See Also:
  Constant Field Values

#### NO_DIRIGIDO

    public static final int NO_DIRIGIDO

Tipo de grafo no dirigido.

See Also:
  Constant Field Values

#### PESO

    public static final int PESO

Tipo de grafo dirigido con peso.

See Also:
  Constant Field Values

#### tipo

    private final int tipo

El tipo que está elegido.

### Constructor Detail

#### Tipos

    public Tipos(int tipo)

Inicilizar el tipo.

Parameters:
  `tipo` - int: Tipo de grafoNoDirigido, 0 o 1

### Method Detail

#### getTipo

    public int getTipo()

Devolver el tipo.

Returns:
  int: El tipo de grafoNoDirigido.